package com.base.core.model.enity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 
	ID_	ID
	OBSERVE_ID	所属需求
	OBS_STEP_TYPE_ID	所属步骤类型
	TARGET_ID	观测目标
	CODE	
	NAME	步骤名
	START_TIME	需求有效开始时间
	END_TIME	需求有效结束时间
	DEPT_ID	数据需求目的地
	DATA_TYPE	数据类型，0无，1原始数据，2格式化数据，3图像产品，4高级产品，5测控数据，6目标信息
	PRODUCT_LEVEL	产品级别
	DEPT_TIME	数据最晚传输结束时刻
	STATUS	步骤状态，0拒绝，1受理，2筹划成功，3分配成功，4执行成功，5完成，6过期，7失败
	REFUSE_REASON	拒绝原因
	PRIPORY	拒绝原因
	MAX_SCOUT_FRE	观测最大时间间隔，单位小时
	MIN_SCOUT_FRE	观测最小时间间隔，单位小时
	NUM_TIMES	周期内观测次数，0-100
	AREA_MIN_COVERAGE	区域最小覆盖率，0.00-1.00
	LOAD_RESOLUTION	
	SATELLIE_PREFER	卫星偏好
	UP_DOWN	升降轨标志，0降轨，1升轨，2不限
	MIN_TIME_DURATION	单次最小时长，单位秒
	MAX_TIME_DURATION	单次最大时常，单位秒
	INTEREST_DURATION	时长偏好，无，越长越好
	SOLAR_ELEVATION	太阳高度角范围，[min,max]
	INTEREST_NUMBER	次数偏好，无，限定，越多越好
	INTEREST_TIMELINESS	时效偏好，无，越早越好，越晚越好
	INTEREST_QUALITY	观测质量偏好，无，质量越高越好
	MIN_DURATION	相邻观测最小间隔，单位秒
	MAX_DURATION	相邻观测最大间隔，单位秒
	EXPLAINED	
	RELAY	是否接力，0否，1中继优先
	LEVEL_EMERGENCY	
	LEVEL_IMPORT	重要程度，0-180
	STEP_SEQ	步骤序列
	CREATED_DATE	创建时间
	CREATED_BY	创建人
	LAST_MODIFIED_BY	最后修改人
	LAST_MODIFIED_DATE	最后修改时间
	VERSION_	版本号
	STATUS_	状态
	PRODUCT_FORMAT	产品格式
	INIT_PRIORITY	初始优先级
 */


/**
 * The persistent class for the BIZ_REQUIRE database table.
 * 
 * 侦察任务填入信息表   BIZ_REQUIRE 改成  ALG_OBS_STEP   20190507
 */

/*@Entity
@Table(name="ALG_OBS_STEP")
@NamedQuery(name="XjBizRequire.findAll", query="SELECT x FROM XjBizRequire x")*/
public class XjBizRequire implements Serializable {
	private static final long serialVersionUID = 1L;


	private String id;

	private String observeId ;
	
	private String obsStepTypeId ;
	
	private String code ;
	
	private String targetId ;
	
	public String getTargetId() {
		return targetId;
	}

	public void setTargetId(String targetId) {
		this.targetId = targetId;
	}

	private String name ;
	
	private Date startTime ;
	
	private Date endTime ;
	
	private String deptId ;
	
	private BigDecimal dataType ;
	
	private BigDecimal productLevel ;
	
	private Date deptTime ;
	
	private BigDecimal status ;
	
	private String refuseReason ;
	
	private BigDecimal priority ;
	
	private BigDecimal maxScoutFre ;
	
	private BigDecimal minScoutFre ;
	
	private BigDecimal numTimes ;
	
	private Double areaMinCoverage ;
	
	private BigDecimal loadResolution ;
	
	private String satellitePrefer ;
	
	private BigDecimal upDown ;
	
	private BigDecimal minTimeDuration ;
	
	private BigDecimal maxTimeDuration ;
	
	private String interestDuration ;
	
	private String solarElevation ;
	
	private String interestNumber ;
	
	private String interestTimeliness ;
	
	private String interestQuality ;
	
	private BigDecimal minDuration ;
	
	private BigDecimal maxDuration ;
	
	private BigDecimal explained ;
	
	private BigDecimal relay ;
	
	private BigDecimal levelEmergency ;
	
	private BigDecimal levelImport ;
	
	private BigDecimal stepSeq ;
	
	private Date createdDate ;
	
	private String createdBy ;
	
	private String lastModifiedBy ;
	
	private Date lastModifiedDate ;
	
	private BigDecimal version_ ;
	
	private BigDecimal status_ ;
	
	private BigDecimal productFormat ;
	
	private BigDecimal initPriority ;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getObserveId() {
		return observeId;
	}

	public void setObserveId(String observeId) {
		this.observeId = observeId;
	}

	public String getObsStepTypeId() {
		return obsStepTypeId;
	}

	public void setObsStepTypeId(String obsStepTypeId) {
		this.obsStepTypeId = obsStepTypeId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}

	public BigDecimal getDataType() {
		return dataType;
	}

	public void setDataType(BigDecimal dataType) {
		this.dataType = dataType;
	}

	public BigDecimal getProductLevel() {
		return productLevel;
	}

	public void setProductLevel(BigDecimal productLevel) {
		this.productLevel = productLevel;
	}

	public Date getDeptTime() {
		return deptTime;
	}

	public void setDeptTime(Date deptTime) {
		this.deptTime = deptTime;
	}

	public BigDecimal getStatus() {
		return status;
	}

	public void setStatus(BigDecimal status) {
		this.status = status;
	}

	public String getRefuseReason() {
		return refuseReason;
	}

	public void setRefuseReason(String refuseReason) {
		this.refuseReason = refuseReason;
	}


	public BigDecimal getMaxScoutFre() {
		return maxScoutFre;
	}

	public void setMaxScoutFre(BigDecimal maxScoutFre) {
		this.maxScoutFre = maxScoutFre;
	}

	public BigDecimal getMinScoutFre() {
		return minScoutFre;
	}

	public void setMinScoutFre(BigDecimal minScoutFre) {
		this.minScoutFre = minScoutFre;
	}

	public BigDecimal getNumTimes() {
		return numTimes;
	}

	public void setNumTimes(BigDecimal numTimes) {
		this.numTimes = numTimes;
	}

	public Double getAreaMinCoverage() {
		return areaMinCoverage;
	}

	public void setAreaMinCoverage(Double areaMinCoverage) {
		this.areaMinCoverage = areaMinCoverage;
	}

	public BigDecimal getLoadResolution() {
		return loadResolution;
	}

	public void setLoadResolution(BigDecimal loadResolution) {
		this.loadResolution = loadResolution;
	}


	public BigDecimal getUpDown() {
		return upDown;
	}

	public void setUpDown(BigDecimal upDown) {
		this.upDown = upDown;
	}

	public BigDecimal getMinTimeDuration() {
		return minTimeDuration;
	}

	public void setMinTimeDuration(BigDecimal minTimeDuration) {
		this.minTimeDuration = minTimeDuration;
	}

	public BigDecimal getMaxTimeDuration() {
		return maxTimeDuration;
	}

	public void setMaxTimeDuration(BigDecimal maxTimeDuration) {
		this.maxTimeDuration = maxTimeDuration;
	}

	public String getInterestDuration() {
		return interestDuration;
	}

	public void setInterestDuration(String interestDuration) {
		this.interestDuration = interestDuration;
	}

	public String getSolarElevation() {
		return solarElevation;
	}

	public void setSolarElevation(String solarElevation) {
		this.solarElevation = solarElevation;
	}

	public String getInterestNumber() {
		return interestNumber;
	}

	public void setInterestNumber(String interestNumber) {
		this.interestNumber = interestNumber;
	}

	public String getInterestTimeliness() {
		return interestTimeliness;
	}

	public void setInterestTimeliness(String interestTimeliness) {
		this.interestTimeliness = interestTimeliness;
	}

	public String getInterestQuality() {
		return interestQuality;
	}

	public void setInterestQuality(String interestQuality) {
		this.interestQuality = interestQuality;
	}

	public BigDecimal getMinDuration() {
		return minDuration;
	}

	public void setMinDuration(BigDecimal minDuration) {
		this.minDuration = minDuration;
	}

	public BigDecimal getMaxDuration() {
		return maxDuration;
	}

	public void setMaxDuration(BigDecimal maxDuration) {
		this.maxDuration = maxDuration;
	}

	public BigDecimal getExplained() {
		return explained;
	}

	public void setExplained(BigDecimal explained) {
		this.explained = explained;
	}

	public BigDecimal getRelay() {
		return relay;
	}

	public void setRelay(BigDecimal relay) {
		this.relay = relay;
	}

	public BigDecimal getLevelEmergency() {
		return levelEmergency;
	}

	public void setLevelEmergency(BigDecimal levelEmergency) {
		this.levelEmergency = levelEmergency;
	}

	public BigDecimal getLevelImport() {
		return levelImport;
	}

	public void setLevelImport(BigDecimal levelImport) {
		this.levelImport = levelImport;
	}

	public BigDecimal getStepSeq() {
		return stepSeq;
	}

	public void setStepSeq(BigDecimal stepSeq) {
		this.stepSeq = stepSeq;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public String getLastModifiedBy() {
		return lastModifiedBy;
	}

	public void setLastModifiedBy(String lastModifiedBy) {
		this.lastModifiedBy = lastModifiedBy;
	}

	public Date getLastModifiedDate() {
		return lastModifiedDate;
	}

	public void setLastModifiedDate(Date lastModifiedDate) {
		this.lastModifiedDate = lastModifiedDate;
	}

	public BigDecimal getVersion_() {
		return version_;
	}

	public void setVersion_(BigDecimal version_) {
		this.version_ = version_;
	}

	public BigDecimal getStatus_() {
		return status_;
	}

	public void setStatus_(BigDecimal status_) {
		this.status_ = status_;
	}

	public BigDecimal getProductFormat() {
		return productFormat;
	}

	public void setProductFormat(BigDecimal productFormat) {
		this.productFormat = productFormat;
	}

	public BigDecimal getInitPriority() {
		return initPriority;
	}

	public void setInitPriority(BigDecimal initPriority) {
		this.initPriority = initPriority;
	}

	
	
/*	private List<XjBizRequireSatelliteMatch> xjBizRequireSatelliteMatches;
	
	public List<XjBizRequireSatelliteMatch> getXjBizRequireSatelliteMatches() {
		return xjBizRequireSatelliteMatches;
	}

	public void setXjBizRequireSatelliteMatches(List<XjBizRequireSatelliteMatch> xjBizRequireSatelliteMatches) {
		this.xjBizRequireSatelliteMatches = xjBizRequireSatelliteMatches;
	}
	*/
	public String getSatellitePrefer() {
		return satellitePrefer;
	}

	public void setSatellitePrefer(String satellitePrefer) {
		this.satellitePrefer = satellitePrefer;
	}

	public BigDecimal getPriority() {
		return priority;
	}

	public void setPriority(BigDecimal priority) {
		this.priority = priority;
	}

}